diff --git a/dlls/mfplat/tests/mfplat.c b/dlls/mfplat/tests/mfplat.c
index 8d21f2ed6..20577453f 100644
--- a/dlls/mfplat/tests/mfplat.c
+++ b/dlls/mfplat/tests/mfplat.c
@@ -5744,174 +5655,160 @@ static void test_MFCreate2DMediaBuffer(void)
     }
 
     hr = pMFCreate2DMediaBuffer(2, 3, MAKEFOURCC('H','2','6','4'), FALSE, &buffer);
-    ok(hr == MF_E_INVALIDMEDIATYPE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_INVALIDMEDIATYPE, "Unexpected hr %#x.\n", hr);
 
     hr = pMFCreate2DMediaBuffer(2, 3, MAKEFOURCC('N','V','1','2'), FALSE, NULL);
-    ok(FAILED(hr), "Unexpected hr %#lx.\n", hr);
+    ok(FAILED(hr), "Unexpected hr %#x.\n", hr);
 
     /* YUV formats can't be bottom-up. */
     hr = pMFCreate2DMediaBuffer(2, 3, MAKEFOURCC('N','V','1','2'), TRUE, &buffer);
-    ok(hr == MF_E_INVALIDMEDIATYPE, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_INVALIDMEDIATYPE, "Unexpected hr %#x.\n", hr);
 
     hr = pMFCreate2DMediaBuffer(2, 3, MAKEFOURCC('N','V','1','2'), FALSE, &buffer);
-    ok(hr == S_OK, "Failed to create a buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create a buffer, hr %#x.\n", hr);
 
     check_interface(buffer, &IID_IMFGetService, TRUE);
     check_interface(buffer, &IID_IMF2DBuffer, TRUE);
 
     /* Full backing buffer size, with 64 bytes per row alignment.  */
     hr = IMFMediaBuffer_GetMaxLength(buffer, &max_length);
-    ok(hr == S_OK, "Failed to get length, hr %#lx.\n", hr);
-    ok(max_length > 0, "Unexpected length %lu.\n", max_length);
+    ok(hr == S_OK, "Failed to get length, hr %#x.\n", hr);
+    ok(max_length > 0, "Unexpected length %u.\n", max_length);
 
     hr = IMFMediaBuffer_GetCurrentLength(buffer, &length);
-    ok(hr == S_OK, "Failed to get current length, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get current length, hr %#x.\n", hr);
     ok(!length, "Unexpected length.\n");
 
     hr = IMFMediaBuffer_SetCurrentLength(buffer, 10);
-    ok(hr == S_OK, "Failed to set current length, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set current length, hr %#x.\n", hr);
 
     hr = IMFMediaBuffer_GetCurrentLength(buffer, &length);
-    ok(hr == S_OK, "Failed to get current length, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get current length, hr %#x.\n", hr);
     ok(length == 10, "Unexpected length.\n");
 
     /* Linear lock/unlock. */
 
     hr = IMFMediaBuffer_Lock(buffer, NULL, &max_length, &length);
-    ok(FAILED(hr), "Unexpected hr %#lx.\n", hr);
+    ok(FAILED(hr), "Unexpected hr %#x.\n", hr);
 
     /* Linear locking call returns plane size.*/
     hr = IMFMediaBuffer_Lock(buffer, &data, &max_length, &length);
-    ok(hr == S_OK, "Failed to lock buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to lock buffer, hr %#x.\n", hr);
     ok(max_length == length, "Unexpected length.\n");
 
-    memset(data, 0xaa, length);
-
     length = 0;
     pMFGetPlaneSize(MAKEFOURCC('N','V','1','2'), 2, 3, &length);
-    ok(max_length == length && length == 9, "Unexpected length %lu.\n", length);
+    ok(max_length == length && length == 9, "Unexpected length %u.\n", length);
 
     /* Already locked */
     hr = IMFMediaBuffer_Lock(buffer, &data2, NULL, NULL);
-    ok(hr == S_OK, "Failed to lock buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to lock buffer, hr %#x.\n", hr);
     ok(data2 == data, "Unexpected pointer.\n");
 
     hr = IMFMediaBuffer_Unlock(buffer);
-    ok(hr == S_OK, "Failed to unlock buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to unlock buffer, hr %#x.\n", hr);
 
     hr = IMFMediaBuffer_QueryInterface(buffer, &IID_IMF2DBuffer, (void **)&_2dbuffer);
-    ok(hr == S_OK, "Failed to get interface, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get interface, hr %#x.\n", hr);
 
     hr = IMF2DBuffer_GetContiguousLength(_2dbuffer, NULL);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
     hr = IMF2DBuffer_GetContiguousLength(_2dbuffer, &length);
-    ok(hr == S_OK, "Failed to get length, hr %#lx.\n", hr);
-    ok(length == 9, "Unexpected length %lu.\n", length);
+    ok(hr == S_OK, "Failed to get length, hr %#x.\n", hr);
+    ok(length == 9, "Unexpected length %u.\n", length);
 
     hr = IMF2DBuffer_IsContiguousFormat(_2dbuffer, NULL);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
     /* 2D lock. */
     hr = IMF2DBuffer_Lock2D(_2dbuffer, &data, &pitch);
-    ok(hr == MF_E_UNEXPECTED, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_UNEXPECTED, "Unexpected hr %#x.\n", hr);
 
     hr = IMF2DBuffer_GetScanline0AndPitch(_2dbuffer, &data, &pitch);
-    ok(hr == HRESULT_FROM_WIN32(ERROR_WAS_UNLOCKED), "Unexpected hr %#lx.\n", hr);
+    ok(hr == HRESULT_FROM_WIN32(ERROR_WAS_UNLOCKED), "Unexpected hr %#x.\n", hr);
 
     hr = IMFMediaBuffer_Unlock(buffer);
-    ok(hr == S_OK, "Failed to unlock buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to unlock buffer, hr %#x.\n", hr);
 
     hr = IMF2DBuffer_GetScanline0AndPitch(_2dbuffer, &data, &pitch);
-    ok(hr == HRESULT_FROM_WIN32(ERROR_WAS_UNLOCKED), "Unexpected hr %#lx.\n", hr);
+    ok(hr == HRESULT_FROM_WIN32(ERROR_WAS_UNLOCKED), "Unexpected hr %#x.\n", hr);
 
     hr = IMF2DBuffer_Lock2D(_2dbuffer, NULL, NULL);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
     hr = IMF2DBuffer_Lock2D(_2dbuffer, &data, NULL);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
     hr = IMF2DBuffer_Lock2D(_2dbuffer, NULL, &pitch);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
     hr = IMF2DBuffer_Lock2D(_2dbuffer, &data, &pitch);
-    ok(hr == S_OK, "Failed to lock buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to lock buffer, hr %#x.\n", hr);
     ok(!!data, "Expected data pointer.\n");
-    ok(pitch == 64, "Unexpected pitch %ld.\n", pitch);
-
-    for (i = 0; i < 4; i++)
-        ok(memcmp(&data[64 * i], two_aas, sizeof(two_aas)) == 0, "Invalid data instead of 0xaa.\n");
-    memset(data, 0xbb, 194);
+    ok(pitch == 64, "Unexpected pitch %d.\n", pitch);
 
     hr = IMF2DBuffer_Lock2D(_2dbuffer, &data2, &pitch);
-    ok(hr == S_OK, "Failed to lock buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to lock buffer, hr %#x.\n", hr);
     ok(data == data2, "Expected data pointer.\n");
 
     hr = IMF2DBuffer_GetScanline0AndPitch(_2dbuffer, NULL, &pitch);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
     hr = IMF2DBuffer_GetScanline0AndPitch(_2dbuffer, &data, NULL);
-    ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
     /* Active 2D lock */
     hr = IMFMediaBuffer_Lock(buffer, &data2, NULL, NULL);
-    ok(hr == MF_E_INVALIDREQUEST, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_INVALIDREQUEST, "Unexpected hr %#x.\n", hr);
 
     hr = IMF2DBuffer_Unlock2D(_2dbuffer);
-    ok(hr == S_OK, "Failed to unlock buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to unlock buffer, hr %#x.\n", hr);
 
     hr = IMFMediaBuffer_Lock(buffer, &data2, NULL, NULL);
-    ok(hr == MF_E_INVALIDREQUEST, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_INVALIDREQUEST, "Unexpected hr %#x.\n", hr);
 
     hr = IMF2DBuffer_Unlock2D(_2dbuffer);
-    ok(hr == S_OK, "Failed to unlock buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to unlock buffer, hr %#x.\n", hr);
 
     hr = IMF2DBuffer_Unlock2D(_2dbuffer);
-    ok(hr == HRESULT_FROM_WIN32(ERROR_WAS_UNLOCKED), "Unexpected hr %#lx.\n", hr);
-
-    hr = IMFMediaBuffer_Lock(buffer, &data, NULL, NULL);
-    ok(hr == S_OK, "Failed to lock buffer, hr %#lx.\n", hr);
-
-    ok(memcmp(data, eight_bbs, sizeof(eight_bbs)) == 0, "Invalid data instead of 0xbb.\n");
-
-    hr = IMFMediaBuffer_Unlock(buffer);
-    ok(hr == S_OK, "Failed to unlock buffer, hr %#lx.\n", hr);
+    ok(hr == HRESULT_FROM_WIN32(ERROR_WAS_UNLOCKED), "Unexpected hr %#x.\n", hr);
 
     hr = IMFMediaBuffer_QueryInterface(buffer, &IID_IMF2DBuffer2, (void **)&_2dbuffer2);
-    ok(hr == S_OK || broken(hr == E_NOINTERFACE), "Failed to get interface, hr %#lx.\n", hr);
+    ok(hr == S_OK || broken(hr == E_NOINTERFACE), "Failed to get interface, hr %#x.\n", hr);
 
     if (SUCCEEDED(hr))
     {
         hr = IMF2DBuffer_Lock2D(_2dbuffer, &data, &pitch);
-        ok(hr == S_OK, "Failed to lock buffer, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to lock buffer, hr %#x.\n", hr);
 
         hr = IMF2DBuffer2_Lock2DSize(_2dbuffer2, MF2DBuffer_LockFlags_Read, &data2, &pitch, &buffer_start, &length);
-        ok(hr == S_OK, "Failed to lock buffer, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to lock buffer, hr %#x.\n", hr);
 
         hr = IMF2DBuffer_Unlock2D(_2dbuffer);
-        ok(hr == S_OK, "Failed to unlock buffer, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to unlock buffer, hr %#x.\n", hr);
 
         hr = IMF2DBuffer_Unlock2D(_2dbuffer);
-        ok(hr == S_OK, "Failed to unlock buffer, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to unlock buffer, hr %#x.\n", hr);
 
         /* Flags are ignored. */
         hr = IMF2DBuffer2_Lock2DSize(_2dbuffer2, MF2DBuffer_LockFlags_Read, &data2, &pitch, &buffer_start, &length);
-        ok(hr == S_OK, "Failed to lock buffer, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to lock buffer, hr %#x.\n", hr);
 
         hr = IMF2DBuffer2_Lock2DSize(_2dbuffer2, MF2DBuffer_LockFlags_Write, &data2, &pitch, &buffer_start, &length);
-        ok(hr == S_OK, "Failed to lock buffer, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to lock buffer, hr %#x.\n", hr);
 
         hr = IMF2DBuffer_Unlock2D(_2dbuffer);
-        ok(hr == S_OK, "Failed to unlock buffer, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to unlock buffer, hr %#x.\n", hr);
 
         hr = IMF2DBuffer_Unlock2D(_2dbuffer);
-        ok(hr == S_OK, "Failed to unlock buffer, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to unlock buffer, hr %#x.\n", hr);
 
         hr = IMF2DBuffer2_Lock2DSize(_2dbuffer2, MF2DBuffer_LockFlags_Write, &data2, &pitch, NULL, &length);
-        ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+        ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
         hr = IMF2DBuffer2_Lock2DSize(_2dbuffer2, MF2DBuffer_LockFlags_Write, &data2, &pitch, &buffer_start, NULL);
-        ok(hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+        ok(hr == E_POINTER, "Unexpected hr %#x.\n", hr);
 
         IMF2DBuffer2_Release(_2dbuffer2);
     }
@@ -5927,44 +5824,44 @@ static void test_MFCreate2DMediaBuffer(void)
         const struct _2d_buffer_test *ptr = &_2d_buffer_tests[i];
 
         hr = pMFCreate2DMediaBuffer(ptr->width, ptr->height, ptr->fourcc, FALSE, &buffer);
-        ok(hr == S_OK, "Failed to create a buffer, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to create a buffer, hr %#x.\n", hr);
 
         hr = IMFMediaBuffer_GetMaxLength(buffer, &length);
-        ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+        ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
         if (ptr->max_length)
-            ok(length == ptr->max_length, "%u: unexpected maximum length %lu for %u x %u, format %s.\n",
+            ok(length == ptr->max_length, "%u: unexpected maximum length %u for %u x %u, format %s.\n",
                     i, length, ptr->width, ptr->height, wine_dbgstr_an((char *)&ptr->fourcc, 4));
 
         hr = IMFMediaBuffer_QueryInterface(buffer, &IID_IMF2DBuffer, (void **)&_2dbuffer);
-        ok(hr == S_OK, "Failed to get interface, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to get interface, hr %#x.\n", hr);
 
         hr = IMF2DBuffer_GetContiguousLength(_2dbuffer, &length);
-        ok(hr == S_OK, "Failed to get length, hr %#lx.\n", hr);
-        ok(length == ptr->contiguous_length, "%d: unexpected contiguous length %lu for %u x %u, format %s.\n",
+        ok(hr == S_OK, "Failed to get length, hr %#x.\n", hr);
+        ok(length == ptr->contiguous_length, "%d: unexpected contiguous length %u for %u x %u, format %s.\n",
                 i, length, ptr->width, ptr->height, wine_dbgstr_an((char *)&ptr->fourcc, 4));
 
         hr = IMFMediaBuffer_Lock(buffer, &data, &length2, NULL);
-        ok(hr == S_OK, "Failed to lock buffer, hr %#lx.\n", hr);
-        ok(length2 == ptr->contiguous_length, "%d: unexpected linear buffer length %lu for %u x %u, format %s.\n",
+        ok(hr == S_OK, "Failed to lock buffer, hr %#x.\n", hr);
+        ok(length2 == ptr->contiguous_length, "%d: unexpected linear buffer length %u for %u x %u, format %s.\n",
                 i, length2, ptr->width, ptr->height, wine_dbgstr_an((char *)&ptr->fourcc, 4));
 
         memset(data, 0xff, length2);
 
         hr = IMFMediaBuffer_Unlock(buffer);
-        ok(hr == S_OK, "Failed to unlock buffer, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to unlock buffer, hr %#x.\n", hr);
 
         hr = pMFGetPlaneSize(ptr->fourcc, ptr->width, ptr->height, &length2);
-        ok(hr == S_OK, "Failed to get plane size, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to get plane size, hr %#x.\n", hr);
         if (ptr->plane_multiplier)
             length2 *= ptr->plane_multiplier;
-        ok(length2 == length, "%d: contiguous length %lu does not match plane size %lu, %u x %u, format %s.\n", i, length,
+        ok(length2 == length, "%d: contiguous length %u does not match plane size %u, %u x %u, format %s.\n", i, length,
                 length2, ptr->width, ptr->height, wine_dbgstr_an((char *)&ptr->fourcc, 4));
 
         hr = IMF2DBuffer_Lock2D(_2dbuffer, &data, &pitch);
-        ok(hr == S_OK, "Failed to lock buffer, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to lock buffer, hr %#x.\n", hr);
 
         hr = IMF2DBuffer_GetScanline0AndPitch(_2dbuffer, &data2, &pitch2);
-        ok(hr == S_OK, "Failed to get scanline, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to get scanline, hr %#x.\n", hr);
         ok(data2 == data, "Unexpected data pointer.\n");
         ok(pitch == pitch2, "Unexpected pitch.\n");
 
@@ -5974,7 +5871,7 @@ static void test_MFCreate2DMediaBuffer(void)
                 ok(data[j * pitch + k] == 0xff, "Unexpected byte %02x at test %d row %d column %d.\n", data[j * pitch + k], i, j, k);
 
         hr = pMFGetStrideForBitmapInfoHeader(ptr->fourcc, ptr->width, &stride);
-        ok(hr == S_OK, "Failed to get stride, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to get stride, hr %#x.\n", hr);
 
         /* secondary planes */
         switch (ptr->fourcc)
@@ -6007,42 +5904,20 @@ static void test_MFCreate2DMediaBuffer(void)
         }
 
         hr = IMF2DBuffer_Unlock2D(_2dbuffer);
-        ok(hr == S_OK, "Failed to unlock buffer, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to unlock buffer, hr %#x.\n", hr);
 
-        ok(pitch == ptr->pitch, "%d: unexpected pitch %ld, expected %d, %u x %u, format %s.\n", i, pitch, ptr->pitch,
+        ok(pitch == ptr->pitch, "%d: unexpected pitch %d, expected %d, %u x %u, format %s.\n", i, pitch, ptr->pitch,
                 ptr->width, ptr->height, wine_dbgstr_an((char *)&ptr->fourcc, 4));
 
         ret = TRUE;
         hr = IMF2DBuffer_IsContiguousFormat(_2dbuffer, &ret);
-        ok(hr == S_OK, "Failed to get format flag, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to get format flag, hr %#x.\n", hr);
         ok(!ret, "%d: unexpected format flag %d.\n", i, ret);
 
         IMF2DBuffer_Release(_2dbuffer);
 
         IMFMediaBuffer_Release(buffer);
     }
-
-    /* Alignment tests */
-    for (i = 0; i < ARRAY_SIZE(_2d_buffer_tests); ++i)
-    {
-        const struct _2d_buffer_test *ptr = &_2d_buffer_tests[i];
-
-        hr = pMFCreate2DMediaBuffer(ptr->width, ptr->height, ptr->fourcc, FALSE, &buffer);
-        ok(hr == S_OK, "Failed to create a buffer, hr %#lx.\n", hr);
-
-        hr = IMFMediaBuffer_QueryInterface(buffer, &IID_IMF2DBuffer, (void **)&_2dbuffer);
-        ok(hr == S_OK, "Failed to get interface, hr %#lx.\n", hr);
-
-        hr = IMF2DBuffer_Lock2D(_2dbuffer, &data, &pitch);
-        ok(hr == S_OK, "Failed to lock buffer, hr %#lx.\n", hr);
-        ok(((uintptr_t)data & MF_64_BYTE_ALIGNMENT) == 0, "Misaligned data at %p.\n", data);
-
-        hr = IMF2DBuffer_Unlock2D(_2dbuffer);
-        ok(hr == S_OK, "Failed to unlock buffer, hr %#lx.\n", hr);
-
-        IMF2DBuffer_Release(_2dbuffer);
-        IMFMediaBuffer_Release(buffer);
-    }
 }
 
 static void test_MFCreateMediaBufferFromMediaType(void)
@@ -6057,21 +5932,18 @@ static void test_MFCreateMediaBufferFromMediaType(void)
         unsigned int buffer_length;
     } audio_tests[] =
     {
-        { 0,  0,   0,  4,  0, 20 },
-        { 0, 16,   0,  4,  0, 20 },
-        { 0,  0,  32,  4,  0, 36 },
-        { 0, 64,  32,  4,  0, 64 },
-        { 1,  0,   0,  4, 16, 36 },
-        { 2,  0,   0,  4, 16, 52 },
-        { 2,  0,  64,  4, 16, 68 },
-        { 2,  0, 128,  4, 16,132 },
+        { 0,  0,  0,  4,  0, 20 },
+        { 0, 16,  0,  4,  0, 20 },
+        { 0,  0, 32,  4,  0, 36 },
+        { 0, 64, 32,  4,  0, 64 },
+        { 1,  0,  0,  4, 16, 36 },
+        { 2,  0,  0,  4, 16, 52 },
     };
-    IMFMediaType *media_type, *media_type2;
-    unsigned int i, alignment;
     IMFMediaBuffer *buffer;
-    DWORD length, max;
-    BYTE *data;
+    UINT32 length;
     HRESULT hr;
+    IMFMediaType *media_type;
+    unsigned int i;
 
     if (!pMFCreateMediaBufferFromMediaType)
     {
@@ -6080,73 +5952,40 @@ static void test_MFCreateMediaBufferFromMediaType(void)
     }
 
     hr = pMFCreateMediaBufferFromMediaType(NULL, 0, 0, 0, &buffer);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = MFCreateMediaType(&media_type);
-    ok(hr == S_OK, "Failed to create media type, hr %#lx.\n", hr);
-
-    hr = MFCreateMediaType(&media_type2);
-    ok(hr == S_OK, "Failed to create media type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create media type, hr %#x.\n", hr);
 
     hr = IMFMediaType_SetGUID(media_type, &MF_MT_MAJOR_TYPE, &MFMediaType_Audio);
-    ok(hr == S_OK, "Failed to set attribute, hr %#lx.\n", hr);
-
-    hr = IMFMediaType_CopyAllItems(media_type, (IMFAttributes *)media_type2);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set attribute, hr %#x.\n", hr);
 
     for (i = 0; i < ARRAY_SIZE(audio_tests); ++i)
     {
         const struct audio_buffer_test *ptr = &audio_tests[i];
 
         hr = IMFMediaType_SetUINT32(media_type, &MF_MT_AUDIO_BLOCK_ALIGNMENT, ptr->block_alignment);
-        ok(hr == S_OK, "Failed to set attribute, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to set attribute, hr %#x.\n", hr);
 
         hr = IMFMediaType_SetUINT32(media_type, &MF_MT_AUDIO_AVG_BYTES_PER_SECOND, ptr->bytes_per_second);
-        ok(hr == S_OK, "Failed to set attribute, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to set attribute, hr %#x.\n", hr);
 
         hr = pMFCreateMediaBufferFromMediaType(media_type, ptr->duration * 10000000, ptr->min_length,
                 ptr->min_alignment, &buffer);
-        ok(hr == S_OK || broken(FAILED(hr)) /* Win8 */, "Unexpected hr %#lx.\n", hr);
+        ok(hr == S_OK || broken(FAILED(hr)) /* Win8 */, "Unexpected hr %#x.\n", hr);
         if (FAILED(hr))
             break;
 
         check_interface(buffer, &IID_IMFGetService, FALSE);
 
         hr = IMFMediaBuffer_GetMaxLength(buffer, &length);
-        ok(hr == S_OK, "Failed to get length, hr %#lx.\n", hr);
-        ok(ptr->buffer_length == length, "%d: unexpected buffer length %lu, expected %u.\n", i, length, ptr->buffer_length);
-
-        alignment = ptr->min_alignment ? ptr->min_alignment - 1 : MF_16_BYTE_ALIGNMENT;
-        hr = IMFMediaBuffer_Lock(buffer, &data, &max, &length);
-        ok(hr == S_OK, "Failed to lock, hr %#lx.\n", hr);
-        ok(ptr->buffer_length == max && !length, "Unexpected length.\n");
-        ok(!((uintptr_t)data & alignment), "%u: data at %p is misaligned.\n", i, data);
-        hr = IMFMediaBuffer_Unlock(buffer);
-        ok(hr == S_OK, "Failed to unlock, hr %#lx.\n", hr);
-
-        IMFMediaBuffer_Release(buffer);
-
-        /* Only major type is set. */
-        hr = pMFCreateMediaBufferFromMediaType(media_type2, ptr->duration * 10000000, ptr->min_length,
-                ptr->min_alignment, &buffer);
-        ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
-
-        hr = IMFMediaBuffer_GetMaxLength(buffer, &length);
-        ok(hr == S_OK, "Failed to get length, hr %#lx.\n", hr);
-        ok(ptr->min_length == length, "%u: unexpected buffer length %lu, expected %u.\n", i, length, ptr->min_length);
-
-        hr = IMFMediaBuffer_Lock(buffer, &data, &max, &length);
-        ok(hr == S_OK, "Failed to lock, hr %#lx.\n", hr);
-        ok(ptr->min_length == max && !length, "Unexpected length.\n");
-        ok(!((uintptr_t)data & alignment), "%u: data at %p is misaligned.\n", i, data);
-        hr = IMFMediaBuffer_Unlock(buffer);
-        ok(hr == S_OK, "Failed to unlock, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to get length, hr %#x.\n", hr);
+        ok(ptr->buffer_length == length, "%d: unexpected buffer length %u, expected %u.\n", i, length, ptr->buffer_length);
 
         IMFMediaBuffer_Release(buffer);
     }
 
     IMFMediaType_Release(media_type);
-    IMFMediaType_Release(media_type2);
 }
 
 static void validate_media_type(IMFMediaType *mediatype, const WAVEFORMATEX *format)
@@ -6156,11 +5995,11 @@ static void validate_media_type(IMFMediaType *mediatype, const WAVEFORMATEX *for
     HRESULT hr;
 
     hr = IMFMediaType_GetMajorType(mediatype, &guid);
-    ok(hr == S_OK, "Failed to get major type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get major type, hr %#x.\n", hr);
     ok(IsEqualGUID(&guid, &MFMediaType_Audio), "Unexpected major type %s.\n", wine_dbgstr_guid(&guid));
 
     hr = IMFMediaType_GetGUID(mediatype, &MF_MT_SUBTYPE, &guid);
-    ok(hr == S_OK, "Failed to get subtype, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get subtype, hr %#x.\n", hr);
 
     if (format->wFormatTag == WAVE_FORMAT_EXTENSIBLE)
     {
@@ -6170,14 +6009,14 @@ static void validate_media_type(IMFMediaType *mediatype, const WAVEFORMATEX *for
         if (fex->dwChannelMask)
         {
             hr = IMFMediaType_GetUINT32(mediatype, &MF_MT_AUDIO_CHANNEL_MASK, &value);
-            ok(hr == S_OK, "Failed to get attribute, hr %#lx.\n", hr);
+            ok(hr == S_OK, "Failed to get attribute, hr %#x.\n", hr);
             ok(value == fex->dwChannelMask, "Unexpected CHANNEL_MASK %#x.\n", value);
         }
 
         if (format->wBitsPerSample && fex->Samples.wValidBitsPerSample)
         {
             hr = IMFMediaType_GetUINT32(mediatype, &MF_MT_AUDIO_VALID_BITS_PER_SAMPLE, &value);
-            ok(hr == S_OK, "Failed to get attribute, hr %#lx.\n", hr);
+            ok(hr == S_OK, "Failed to get attribute, hr %#x.\n", hr);
             ok(value == fex->Samples.wValidBitsPerSample, "Unexpected VALID_BITS_PER_SAMPLE %#x.\n", value);
         }
     }
@@ -6188,42 +6027,42 @@ static void validate_media_type(IMFMediaType *mediatype, const WAVEFORMATEX *for
         ok(IsEqualGUID(&guid, &subtype), "Unexpected subtype %s.\n", wine_dbgstr_guid(&guid));
 
         hr = IMFMediaType_GetUINT32(mediatype, &MF_MT_AUDIO_PREFER_WAVEFORMATEX, &value);
-        ok(hr == S_OK, "Failed to get attribute, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to get attribute, hr %#x.\n", hr);
         ok(value, "Unexpected value.\n");
     }
 
     if (format->nChannels)
     {
         hr = IMFMediaType_GetUINT32(mediatype, &MF_MT_AUDIO_NUM_CHANNELS, &value);
-        ok(hr == S_OK, "Failed to get attribute, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to get attribute, hr %#x.\n", hr);
         ok(value == format->nChannels, "Unexpected NUM_CHANNELS %u.\n", value);
     }
 
     if (format->nSamplesPerSec)
     {
         hr = IMFMediaType_GetUINT32(mediatype, &MF_MT_AUDIO_SAMPLES_PER_SECOND, &value);
-        ok(hr == S_OK, "Failed to get attribute, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to get attribute, hr %#x.\n", hr);
         ok(value == format->nSamplesPerSec, "Unexpected SAMPLES_PER_SECOND %u.\n", value);
     }
 
     if (format->nAvgBytesPerSec)
     {
         hr = IMFMediaType_GetUINT32(mediatype, &MF_MT_AUDIO_AVG_BYTES_PER_SECOND, &value);
-        ok(hr == S_OK, "Failed to get attribute, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to get attribute, hr %#x.\n", hr);
         ok(value == format->nAvgBytesPerSec, "Unexpected AVG_BYTES_PER_SECOND %u.\n", value);
     }
 
     if (format->nBlockAlign)
     {
         hr = IMFMediaType_GetUINT32(mediatype, &MF_MT_AUDIO_BLOCK_ALIGNMENT, &value);
-        ok(hr == S_OK, "Failed to get attribute, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to get attribute, hr %#x.\n", hr);
         ok(value == format->nBlockAlign, "Unexpected BLOCK_ALIGNMENT %u.\n", value);
     }
 
     if (format->wBitsPerSample)
     {
         hr = IMFMediaType_GetUINT32(mediatype, &MF_MT_AUDIO_BITS_PER_SAMPLE, &value);
-        ok(hr == S_OK, "Failed to get attribute, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to get attribute, hr %#x.\n", hr);
         ok(value == format->wBitsPerSample, "Unexpected BITS_PER_SAMPLE %u.\n", value);
     }
 
@@ -6232,7 +6071,7 @@ static void validate_media_type(IMFMediaType *mediatype, const WAVEFORMATEX *for
     if (IsEqualGUID(&guid, &MFAudioFormat_Float) ||
             IsEqualGUID(&guid, &MFAudioFormat_PCM))
     {
-        ok(hr == S_OK, "Failed to get attribute, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to get attribute, hr %#x.\n", hr);
         ok(value, "Unexpected ALL_SAMPLES_INDEPENDENT value.\n");
     }
     else
@@ -6278,12 +6117,12 @@ static void test_MFInitMediaTypeFromWaveFormatEx(void)
     HRESULT hr;
 
     hr = MFCreateMediaType(&mediatype);
-    ok(hr == S_OK, "Failed to create mediatype, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create mediatype, hr %#x.\n", hr);
 
     for (i = 0; i < ARRAY_SIZE(waveformatex_tests); ++i)
     {
         hr = MFInitMediaTypeFromWaveFormatEx(mediatype, &waveformatex_tests[i], sizeof(waveformatex_tests[i]));
-        ok(hr == S_OK, "%d: format %#x, failed to initialize media type, hr %#lx.\n", i, waveformatex_tests[i].wFormatTag, hr);
+        ok(hr == S_OK, "%d: format %#x, failed to initialize media type, hr %#x.\n", i, waveformatex_tests[i].wFormatTag, hr);
 
         validate_media_type(mediatype, &waveformatex_tests[i]);
 
@@ -6296,10 +6135,10 @@ static void test_MFInitMediaTypeFromWaveFormatEx(void)
         waveformatext.SubFormat.Data1 = waveformatex_tests[i].wFormatTag;
 
         hr = MFInitMediaTypeFromWaveFormatEx(mediatype, &waveformatext.Format, sizeof(waveformatext));
-        ok(hr == S_OK, "Failed to initialize media type, hr %#lx.\n", hr);
+        ok(hr == S_OK, "Failed to initialize media type, hr %#x.\n", hr);
 
         hr = IMFMediaType_GetItem(mediatype, &MF_MT_USER_DATA, NULL);
-        ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#lx.\n", hr);
+        ok(hr == MF_E_ATTRIBUTENOTFOUND, "Unexpected hr %#x.\n", hr);
 
         validate_media_type(mediatype, &waveformatext.Format);
     }
@@ -6319,11 +6158,11 @@ static void test_MFInitMediaTypeFromWaveFormatEx(void)
     mp3format.nCodecDelay = 0;
 
     hr = MFInitMediaTypeFromWaveFormatEx(mediatype, (WAVEFORMATEX *)&mp3format, sizeof(mp3format));
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
 
     validate_media_type(mediatype, &mp3format.wfx);
     hr = IMFMediaType_GetBlob(mediatype, &MF_MT_USER_DATA, buff, sizeof(buff), &size);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(size == mp3format.wfx.cbSize, "Unexpected size %u.\n", size);
     ok(!memcmp(buff, (WAVEFORMATEX *)&mp3format + 1, size), "Unexpected user data.\n");
 
@@ -6338,10 +6177,10 @@ static void test_MFCreateMFVideoFormatFromMFMediaType(void)
     HRESULT hr;
 
     hr = MFCreateMediaType(&media_type);
-    ok(hr == S_OK, "Failed to create media type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create media type, hr %#x.\n", hr);
 
     hr = MFCreateMFVideoFormatFromMFMediaType(media_type, &video_format, &size);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(!!video_format, "Unexpected format.\n");
     ok(video_format->dwSize == size && size == sizeof(*video_format), "Unexpected size %u.\n", size);
     CoTaskMemFree(video_format);
@@ -6382,19 +6221,19 @@ static void test_MFCreateDXSurfaceBuffer(void)
     }
 
     hr = IDirect3DDevice9_GetSwapChain(device, 0, &swapchain);
-    ok(SUCCEEDED(hr), "Failed to get the implicit swapchain (%08lx)\n", hr);
+    ok(SUCCEEDED(hr), "Failed to get the implicit swapchain (%08x)\n", hr);
 
     hr = IDirect3DSwapChain9_GetBackBuffer(swapchain, 0, D3DBACKBUFFER_TYPE_MONO, &backbuffer);
-    ok(SUCCEEDED(hr), "Failed to get the back buffer (%08lx)\n", hr);
+    ok(SUCCEEDED(hr), "Failed to get the back buffer (%08x)\n", hr);
     ok(backbuffer != NULL, "The back buffer is NULL\n");
 
     IDirect3DSwapChain9_Release(swapchain);
 
     hr = pMFCreateDXSurfaceBuffer(&IID_IUnknown, (IUnknown *)backbuffer, FALSE, &buffer);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = pMFCreateDXSurfaceBuffer(&IID_IDirect3DSurface9, (IUnknown *)backbuffer, FALSE, &buffer);
-    ok(hr == S_OK, "Failed to create a buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create a buffer, hr %#x.\n", hr);
 
     check_interface(buffer, &IID_IMF2DBuffer, TRUE);
     check_interface(buffer, &IID_IMF2DBuffer2, TRUE);
